/**
 * SETTINGS CONFIG
 */
angular.module('gr.ant1.app.config', [])
/**
 * API CACHE DEFAULT CONFIGURATION
 */
    .constant('CACHE_DEFAULTS', {
        maxAge: 30 * 60 * 1000, // Items added to this cache expire after 30 minutes
        deleteOnExpire: 'passive', // Cache will do nothing when an item expires. Expired items will remain in the cache until requested, at which point they are removed, and undefined is returned.
        storageMode: 'localStorage', // memory || localStorage || sessionStorage
        storagePrefix: 'ant1.cache.',
        disabled: false
    })

    /**
     * API END POINTS
     */
    .constant('BASE_URL', {
        API_URL: 'http://mservices.antenna.gr/services/mobile/'
    })

    /**
     * API MENU CONFIG
     */
    .constant('SERVICE_MENU', {
        CACHE_MAX_AGE: 5 * 60 * 1000, // Items added to this cache expire after 5 minutes
        URL: 'getConfigData.ashx?callback=JSON_CALLBACK',
        LOCAL_URL: 'json/getConfigData.json'
    })

    /**
     * API HOMEPAGE CONFIG
     */
    .constant('SERVICE_HOMEPAGE', {
        CACHE_MAX_AGE: 5 * 60 * 1000, // Items added to this cache expire after 5 minutes
        CAROUSEL: 'getCarouselItems.ashx?callback=JSON_CALLBACK',
        LATEST_EPISODES: 'getlatestepisodes.ashx?callback=JSON_CALLBACK',
        RECOMMENDED: 'getrecommended.ashx?callback=JSON_CALLBACK',

        JSON_SCHEMA_CAROUSEL: 'json/schema/home/getcarouselitems_schema.json',
        JSON_SCHEMA_LATEST_EPISODES: 'json/schema/home/getlatestepisodes_schema.json',
        JSON_SCHEMA_RECOMMENDED: 'json/schema/home/getrecommended_schema.json'
    })

    /**
     * API TRAILERS CONFIG
     */
    .constant('SERVICE_TRAILERS', {
        CACHE_MAX_AGE: 5 * 60 * 1000, // Items added to this cache expire after 5 minutes
        URL: 'getvideotrailers.ashx?callback=JSON_CALLBACK',

        JSON_SCHEMA_TRAILERS: 'json/schema/shows/getvideotrailers_schema.json'
    })

    /**
     * API LIVE STREAM CONFIG
     */
    .constant('SERVICE_VIDEO_STREAM', {
        URL: 'getLiveStream.ashx?callback=JSON_CALLBACK',

        JSON_SCHEMA_LIVE: 'json/schema/live/getlivestream_schema.json'
    })

    /**
     * API SCHEDULE CONFIG
     */
    .constant('SERVICE_SCHEDULE', {
        CACHE_MAX_AGE: 5 * 60 * 1000, // Items added to this cache expire after 5 minutes
        URL: 'getweeklyschedule.ashx?callback=JSON_CALLBACK',

        JSON_SCHEMA_TABS: 'json/schema/schedule/getweeklyschedule_schema.json'
    })

    /**
     * API ARCHIVE CONFIG
     */
    .constant('SERVICE_ARCHIVE', {
        CACHE_MAX_AGE: 5 * 60 * 1000, // Items added to this cache expire after 5 minutes
        GENRES: 'getshowgenres.ashx?callback=JSON_CALLBACK',
        SHOWS_BY_GENRE: 'getshowsbygenre.ashx?islive=0&callback=JSON_CALLBACK',

        JSON_SCHEMA_GENRES: 'json/schema/shows/getshowgenres_schema.json',
        JSON_SCHEMA_SHOWS_BY_GENRE: 'json/schema/shows/getshowsbygenre_schema.json'
    })

    /**
     * API SHOWS CONFIG
     */
    .constant('SERVICE_SHOWS', {
        CACHE_MAX_AGE: 5 * 60 * 1000, // Items added to this cache expire after 5 minutes
        CATEGORIES: 'getmenuitems.ashx?callback=JSON_CALLBACK',
        BY_CATEGORY: 'getshowbymenucategory.ashx?callback=JSON_CALLBACK',
        SHOW_DETAILS: 'getshowbyid.ashx?callback=JSON_CALLBACK',
        SHOW_DETAILS_DEBUG: 'json/getshowbyid.json',
        SHOW_EPISODES: 'getepisodesforshow.ashx?callback=JSON_CALLBACK',
        SEARCH_RESULTS: 'search.ashx?callback=JSON_CALLBACK',

        JSON_SCHEMA_CATEGORIES: 'json/schema/shows/getmenuitems_schema.json',
        JSON_SCHEMA_BY_CATEGORY: 'json/schema/shows/getshowbymenucategory_schema.json',
        JSON_SCHEMA_DETAILS: 'json/schema/shows/getshowbyid_schema.json',
        JSON_SCHEMA_EPISODES: 'json/schema/shows/getepisodesforshow_schema.json'
    })

    /**
     * JW PLAYER ACTIVATION KEY
     */
    .constant('JWPLAYER_KEY', '72poCU8ONeAgyv9ThOPc/jcLAV3SWfUTeu6rHw==')

    /**
     * Notify Config
     */
    .constant('NOTIFY_CONFIG', {
        /**
         * ACTIVE constant changing in Main Application Controller
         * on $scope.updateViewData function
         */
        ACTIVE: 'SENTRY',
        NAME_ATATUS: 'ATATUS',
        NAME_SENTRY: 'SENTRY',
        ATATUS_API_KEY: ATATUS_API_KEY,
        SENTRY_API_KEY: SENTRY_API_KEY
    })

    /**
     * Google Analytics Config
     *
     * TRACKING_ID  : The Tracking Id
     */
    .constant('GA_CONFIG', {
        TRACKING_ID: 'UA-83721455-2'
    })
;
