angular
    /**
     *  Application Module Name
     */
    .module('gr.ant1.app')

    /**
     * Shows Schema factory
     */
    .factory('HomepageSchema', function ($http, CacheFactory, SERVICE_HOMEPAGE) {
        return {
            getCarousel: function () {
                return $http.get(SERVICE_HOMEPAGE.JSON_SCHEMA_CAROUSEL, {cache: CacheFactory.get('homepageCache')});
            },
            getLatestEpisodes: function () {
                return $http.get(SERVICE_HOMEPAGE.JSON_SCHEMA_LATEST_EPISODES, {cache: CacheFactory.get('homepageCache')});
            },
            getRecommended: function () {
                return $http.get(SERVICE_HOMEPAGE.JSON_SCHEMA_RECOMMENDED, {cache: CacheFactory.get('homepageCache')});
            }
        };
    })

    /**
     * Shows Schema factory
     */
    .factory('ShowsSchema', function ($http, CacheFactory, SERVICE_SHOWS) {
        return {
            getCategories: function () {
                return $http.get(SERVICE_SHOWS.JSON_SCHEMA_CATEGORIES, {cache: CacheFactory.get('showsCache')});
            },
            getShowsByMenuCategory: function () {
                return $http.get(SERVICE_SHOWS.JSON_SCHEMA_BY_CATEGORY, {cache: CacheFactory.get('showsCache')});
            },
            getDetails: function () {
                return $http.get(SERVICE_SHOWS.JSON_SCHEMA_DETAILS, {cache: CacheFactory.get('showsCache')});
            },
            getEpisodesForShow: function () {
                return $http.get(SERVICE_SHOWS.JSON_SCHEMA_EPISODES, {cache: CacheFactory.get('showsCache')});
            }
        };
    })

    /**
     * Shows Archive Schema factory
     */
    .factory('ShowsArchiveSchema', function ($http, CacheFactory, SERVICE_ARCHIVE) {
        return {
            getShowGenres: function () {
                return $http.get(SERVICE_ARCHIVE.JSON_SCHEMA_GENRES, {cache: CacheFactory.get('showsArchiveCache')});
            },
            getShowsByGenre: function () {
                return $http.get(SERVICE_ARCHIVE.JSON_SCHEMA_SHOWS_BY_GENRE, {cache: CacheFactory.get('showsArchiveCache')});
            }
        };
    })

    /**
     * Video Trailers Schema factory
     */
    .factory('VideoTrailersSchema', function ($http, CacheFactory, SERVICE_TRAILERS) {
        return {
            getTrailers: function () {
                return $http.get(SERVICE_TRAILERS.JSON_SCHEMA_TRAILERS, {cache: CacheFactory.get('videoTrailersCache')});
            }
        };
    })

    /**
     * Video Schedule Schema factory
     */
    .factory('ScheduleSchema', function ($http, CacheFactory, SERVICE_SCHEDULE) {
        return {
            getTabs: function () {
                return $http.get(SERVICE_SCHEDULE.JSON_SCHEMA_TABS, {cache: CacheFactory.get('scheduleCache')});
            }
        };
    })

    /**
     * Live Stream Schema factory
     */
    .factory('LiveStreamSchema', function ($http, CacheFactory, SERVICE_VIDEO_STREAM) {
        return {
            getLiveStream: function () {
                return $http.get(SERVICE_VIDEO_STREAM.JSON_SCHEMA_LIVE, {cache: false});
            }
        };
    })
;