angular

    /**
     *  Application Module Name
     */
    .module('gr.ant1.app')

    /**
     * Exception handler tracking - Using a factory
     *
     * Reference: https://www.atatus.com/blog/best-way-track-angularjs-and-ionic-exceptions/
     * https://www.atatus.com/docs/advanced-usage
     *
     * Manually sending errors:
     * - atatus.notify(new Error('custom error'));
     * - atatus.notify(new Error('custom error'), { name: "John Doe" });
     *
     */
    /*.factory('$exceptionHandler', function ($log, $window) {
        return function (exception) {
            $log.error(exception);

            if ($window.atatus) {
                //$window.atatus.notify(exception);
            }
        }
    })*/

    /**
     * Exception handler tracking - Using a decorator
     *
     * For handling exceptions, we will enhance the existing $exceptionHandler
     * with extra functionality of sending exceptions to Atatus.
     *
     */
    .config(function ($provide) {
        $provide.decorator("$exceptionHandler", ['$delegate', 'NotifyFactory', function($delegate, NotifyFactory) {
            return function (exception, cause) {
                NotifyFactory.captureGlobalException(exception);

                // (Optional) Pass the error through to the delegate
                $delegate(exception, cause);
            }
        }]);
    })
;